\name{Batched PCA}
\docType{class}
\alias{batchPcaRes}
\alias{batchPcaRes-class}
\alias{[,batchPcaRes-method}
\alias{length,batchPcaRes-method}
\alias{print,batchPcaRes-method}
\alias{summary,batchPcaRes-method}
\alias{slplot,batchPcaRes-method}

\title{Class for representing a batched PCA result}

\description{This is a class representation of a batched PCA result}

\section{Creating Objects}{
  \code{new("pcaRes", pcaModels=[list of pca models])}
}

\section{Slots}{
  \describe{
    \item{pcaModels}{"list",  list of pca models, each element is of
      class pcaRes.}
  }
}
\section{Methods}{
  \describe{
    \item{print}{Print simple information about the batch result, how
      many there are and information about the first model.}
    \item{summary}{Print summary information about batch result}
    \item{"["}{Subsetting extracts one or a set of pca models from the
      batch. Result is either a new batchPcaRes or a pcaRes if single
      element.}
    \item{length}{Amount of elements in this batch}
    \item{slplot}{Plot a scores and loadings plot for this object, see \code{slplot}}
  }
}
\keyword{classes}
