\name{node}
\docType{class}
\alias{node}
\alias{node-class}

\title{Class for representing a node in a CAPIU tree}

\description{This is a class representation of a node in a CAPIU tree}

\section{Creating Objects}{
  \code{new("node", ranks=[the ranks of the gene classes used],
    classes=[identifiers for the gene classes used], clustering=[the
    consensus clustering], children=[amount of children to this node],
    scores=[the scores of the used gene classes], sizes=[the sizes of
    the used gene classes], members=[the samples belonging to this
    node], type=[what kind of node this is])}
}

\section{Slots}{
  \describe{
    \item{ranks}{"numeric", the ranks of the gene classes in this
      node. Rank one means the gene class got the highest score of all}
    \item{classes}{"character", identifiers of the gene classes in this node}
    \item{clustering}{"numeric", the consensus clustering vector
      calculated from all gene classes in this node}
    \item{children}{"numeric", the amount of children this node
      has. Zero if the node is a leaf}
    \item{scores}{"numeric", the scores of the gene classes in this node}
    \item{sizes}{"numeric", the sizes of the gene classes in this node}
    \item{members}{"list", of length one if node otherwise same length
      as amount of children indicating which samples goes where in the tree}
    \item{type}{"character", Either "node" or "leaf"}
  }
}
\keyword{classes}
