\name{nodeGen}
\alias{nodeGen}
\title{Generate a node in a CAPIU tree}
\description{A method for creating a node in a decision tree based on a
  \code{modelScore} object. This method is normally not used directly
  but called from within \code{capiu}.}
\usage{nodeGen(scores, models=NULL, map=NULL, leaf=FALSE,
minSimilarity=0.80, eset=NULL, minClusterSize=4, alfa=0.05, verbose=interactive(),...)}
\arguments{
  \item{scores}{a \code{modelScores} object}
  \item{models}{The \code{batchPcaRes} object that was used to calculate
    \code{x}. Needed if the node should be a leaf or if cross-validation
    is desired.}
  \item{map}{The mapping from genes to gene classes that was used}
  \item{leaf}{logical, should this node be a leaf}
  \item{minSimilarity}{Minimum corrected Rand index defining how similar
    to clusterings must be in order to get merged in to the same node}
  \item{eset}{The original data}
  \item{minClusterSize}{How small a final cluster is allowed to be}
  \item{alfa}{Significance level for the bootstrap test}
  \item{verbose}{Print some messages to indicate progress}
  \item{...}{Further arguments passed on to \code{lazyModelBootstrap}}
}
\value{
  A node object
}
\author{Henning Redestig}
\seealso{\code{modelScores}, \code{treeGen}}
\examples{}
\keyword{tree}
  
  
  
  
    
  
