\name{toDot}
\alias{toDot}
\title{Write dot scripts for an unsupervised decision tree.}
\description{A convenience function for generating dot scripts for easy
  visualization of unsupervised decision trees.}
\usage{toDot(x, filename, graphname="G", goTerm=TRUE, goId=TRUE,
compile=TRUE, useLabels=TRUE)}
\arguments{
  \item{x}{The tree to use.}
  \item{filename}{The filename of the script (should end with ".dot")}
  \item{graphname}{What to call this graph in the script, usually
    irrelevant.}
  \item{goTerm}{Indicates if the name of each class should be added in
    each node, e.g. 'protein biosynthesis' if the map used was a mapping
    to GO.}
  \item{goId}{Indicates if the identifier of each class should added in
    each node, e.g. 'GO:0006412' if the map used was a mapping to GO.}
  \item{compile}{Logical, indicates if dot shall be called using
    \code{system} to compile the generated script to a PNG file.}
  \item{useLabels}{Logical, indicates if the labels in the udt object
    should be used for the leaves or not.}
}
\value{
  None, used for the side effect.
}
\references{
  Gansner, E., Koutsofios E. and North, S. (2002) Drawing graphs with
  dot. User's manual
  \url{http://www.graphviz.org/Documentation/dotguide.pdf}.
}
\author{Henning Redestig}
\keyword{tree}
